{% extends 'base.html.twig' %}

{% block javascripts %}
    <script>
    function onDelete(id) {
        fetch('http://localhost:8000/api/people/' + id, {
            method: 'DELETE'
        }).then(resp => {
            if (resp.ok)
                document.querySelector(`li[data-person-id="${id}"]`).remove();
        });
    }
    </script>

{% endblock %}

{% block title %}People !{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1>People</h1>

    <ul>
        {# {{dump(people)}} #}
        {% for p in people %}
            <li data-person-id={{p.id}}>{{p.name}} <button onclick="onDelete({{p.id}})">delete</button></li>
        {% endfor %}
    </ul>
</div>

{% endblock %}
